<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.10
Name: Medication In Reserve Entry Content Module
Description: This is an entry to specify if the medication is "in reserve" (Reservemedikation; to be taken by the patient only if the need arises - e.g. pains) or if it's regular (Grundmedikation; to be always taken).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.10-2022-02-24T092722-closed">
   <title>Medication In Reserve Entry Content Module</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.10']]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.10']])]"
         id="d42e5204-true-d230517e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20220302T110630/tmp-2.16.756.5.30.1.1.10.10-2022-02-24T092722.html"
              test="not(.)">(MedicationInReserveEntryContentModule)/d42e5204-true-d230517e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.10']] (rule-reference: d42e5204-true-d230517e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.10']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.10']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.756.5.30.1.1.10.10'] | self::hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.85-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | self::hl7:statusCode[@code = 'completed'])]"
         id="d42e5213-true-d230552e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20220302T110630/tmp-2.16.756.5.30.1.1.10.10-2022-02-24T092722.html"
              test="not(.)">(MedicationInReserveEntryContentModule)/d42e5213-true-d230552e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.756.5.30.1.1.10.10'] | hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.85-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | hl7:statusCode[@code = 'completed'] (rule-reference: d42e5213-true-d230552e0)</assert>
   </rule>
</pattern>
